// ==UserScript==
// @name AdBlock+
// @author Lex1
// @version 1.3
// @description Adds attribute "domain". Opera 8 only.
// ==/UserScript==


(function(){
var getTLD = function(domain){
	if(!domain)return '';
	var r = domain.match(/^((?:\d{1,3}\.){3})\d{1,3}$/); if(r)return r[1] + '0';
	var a = domain.split('.'); var l = a.length; if(l < 3)return domain;
	return (/^(co|com|net|org|edu|gov|mil)$/i.test(a[l - 2]) ? a[l - 3] + '.' : '') + a[l - 2] + '.' + a[l - 1];
};
var setAttr = function(){
	var d = document.documentElement; if(!d)return true;
	if(d instanceof HTMLHtmlElement)d.setAttribute('domain', getTLD(location.hostname));
};
if(setAttr())window.setTimeout(function(){if(setAttr())document.addEventListener('load', setAttr, false)}, 100);
})();
