javascript:(function(){
if(window.navigator.ujs_AdBlock){return}else{window.navigator.ujs_AdBlock=true};
var ele='',outline='',border='',bgColor='',title='',reObjects=/^(iframe|object|embed)$/i;
var doc=((window.document.body instanceof HTMLFrameSetElement) ? window.frames[0] : window).document;

var createStyle = function(css){
	var s=doc.createElement('style');
	s.setAttribute('type','text/css');
	s.appendChild(doc.createTextNode(css));
	return (doc.getElementsByTagName('head')[0] || doc.documentElement).appendChild(s)
};
var getAtt = function(ele, tags){
	var rez = '';
	if(ele.attributes){
		var r = new RegExp('^('+tags+')$');
		for(var i = 0, a; a = ele.attributes[i]; i++){
			var n = a.nodeName.toLowerCase();
			if(r.test(n))rez += '['+n+'=\x22'+a.nodeValue.replace(/[\x22\x5C]/g, '\\$&')+'\x22]';
		};
	};
	return rez;
};
var getNth = function(ele){
	var nth, n=0, p=ele.parentNode;
	for(var i=0,c; c=p.childNodes[i]; i++){if(c.nodeType==1){n++; if(c==ele)nth=n}};
	return (!nth || n < 2) ? '' : ':nth-child('+nth+')';
};
var getCssRules = function(el, wide){
	var att, tag, rez = [];
	while(el){
		if(el.nodeType == 1){
			att = getAtt(el, 'src') || getAtt(el, 'href');
			tag = el.nodeName;
			if(att){
				rez.unshift(tag+(wide ? att.replace(/^(\[\w+)(=\x22[^?#]+\/).*(\x22\])$/, '$1^$2$3') : att));
				break;
			}
			else{
				rez.unshift(tag+getAtt(el, 'id|class|height|width|color|bgcolor|align')+((wide || /^(html|body)$/i.test(tag) || !window.postMessage) ? '' : getNth(el)));
			};
		};
		el = el.parentNode;
	};
	return rez.join(' > ');
};

var remove = function(){
	doc.removeEventListener('mouseover',over,false);
	doc.removeEventListener('mouseout',out,false);
	doc.removeEventListener('click',click,false);
	doc.removeEventListener('keyup',press,false);
	delete window.navigator.ujs_AdBlock;
};		
var over = function(ev){
	ele = ev.target;
	title = ele.title;
	ele.title = 'Tag: '+ele.nodeName+(ele.id ? ', ID: '+ele.id : '')+(ele.className ? ', Class: '+ele.className : '');
	if(reObjects.test(ele.nodeName)){
		border = ele.style.border;
		ele.style.border = '2px solid #306EFF';
	}
	else{
		outline = ele.style.outline;
		ele.style.outline = '1px solid #306EFF';
		bgColor = ele.style.backgroundColor;
		ele.style.backgroundColor = '#C6DEFF';
	}
};
var out = function(){
	if(ele){
		ele.title = title;
		if(reObjects.test(ele.nodeName)){
			ele.style.border = border;
		}
		else{
			ele.style.outline = outline;
			ele.style.backgroundColor = bgColor;
		}
	}
};
var click = function(ev){
	var css, tmp;
	if(ele && (css = getCssRules(ele, ev.altKey))){
		ev.preventDefault();
		out();
		remove();
		tmp=createStyle(css+'{background-color: #FF5555 !important; outline: 1px solid #FF1111 !important; opacity: 0.7 !important;}');
		css=prompt('  ?',css);
		if(css){createStyle(css+'{display: none !important;}');
		window.location.href='data:text/adblock;charset=UTF-8,'+encodeURIComponent(css)};
		tmp.parentNode.removeChild(tmp);
	}
};
var press = function(ev){
	if(ev.keyCode == 27){
		out();
		remove();
	}
};

doc.addEventListener('mouseover',over,false);
doc.addEventListener('mouseout',out,false);
doc.addEventListener('click',click,false);
doc.addEventListener('keyup',press,false);

})()